<?php
      function iriStatPressDetails()
      {
          global $wpdb;
          $table_name = $wpdb->prefix . "statpress";
          
          $querylimit = "LIMIT 25";
		  
		sps_general_headout();
?>
<div class='wrap'>
		<div id="tabs" class="boxspacing">
			<ul>
				<li><a href="#tabs-01"><span class="ui-icon ui-icon-star"></span>Top Days</a></li>
				<li><a href="#tabs-02"><span class="ui-icon ui-icon-star"></span>O.S.</a></li>
				<li><a href="#tabs-03"><span class="ui-icon ui-icon-star"></span>Browser</a></li>
				<li><a href="#tabs-04"><span class="ui-icon ui-icon-star"></span>Feeds</a></li>
				<li><a href="#tabs-05"><span class="ui-icon ui-icon-star"></span>Search Engines</a></li>
				<li><a href="#tabs-06"><span class="ui-icon ui-icon-star"></span>Search Terms</a></li>
				<li><a href="#tabs-07"><span class="ui-icon ui-icon-star"></span>Referrer</a></li>
				<li><a href="#tabs-08"><span class="ui-icon ui-icon-star"></span>Countries</a></li>
				<li><a href="#tabs-09"><span class="ui-icon ui-icon-star"></span>Spider</a></li>
				<li><a href="#tabs-10"><span class="ui-icon ui-icon-star"></span>Pages</a></li>
				<li><a href="#tabs-11"><span class="ui-icon ui-icon-star"></span>Top Days - Unique Visitors</a></li>
				<li><a href="#tabs-12"><span class="ui-icon ui-icon-star"></span>Top Days - Pageviews</a></li>
				<li><a href="#tabs-13"><span class="ui-icon ui-icon-star"></span>Top IPs - Pageviews</a></li>
			</ul>
			
<?php          
          
          // Top days
          print "<div id='tabs-01' class='ui-tabs-hide'>";
          iriValueTable("date", __('Top days', 'statpress'), 5);
          print "</div>";
          
          // O.S.
          print "<div id='tabs-02' class='ui-tabs-hide'>";
          iriValueTable("os", __('O.S.', 'statpress'), 0, "", "", "AND feed='' AND spider='' AND os<>''");
          print "</div>";
          
          // Browser
          print "<div id='tabs-03' class='ui-tabs-hide'>";
          iriValueTable("browser", __('Browser', 'statpress'), 0, "", "", "AND feed='' AND spider='' AND browser<>''");
          print "</div>";
          
          // Feeds
          print "<div id='tabs-04' class='ui-tabs-hide'>";
          iriValueTable("feed", __('Feeds', 'statpress'), 5, "", "", "AND feed<>''");
          print "</div>";
          
          // SE
          print "<div id='tabs-05' class='ui-tabs-hide'>";
          iriValueTable("searchengine", __('Search engines', 'statpress'), 10, "", "", "AND searchengine<>''");
          print "</div>";
          
          // Search terms
          print "<div id='tabs-06' class='ui-tabs-hide'>";
          iriValueTable("search", __('Top search terms', 'statpress'), 20, "", "", "AND search<>''");
          print "</div>";
          
          // Top referrer
          print "<div id='tabs-07' class='ui-tabs-hide'>";
          iriValueTable("referrer", __('Top referrer', 'statpress'), 10, "", "", "AND referrer<>'' AND referrer NOT LIKE '%" . get_bloginfo('url') . "%'");
          print "</div>";
          
          // Countries
          print "<div id='tabs-08' class='ui-tabs-hide'>";
          iriValueTable("nation", __('Countries (domains)', 'statpress'), 10, "", "", "AND nation<>'' AND spider=''");
          print "</div>";
          
          // Spider
          print "<div id='tabs-09' class='ui-tabs-hide'>";
          iriValueTable("spider", __('Spiders', 'statpress'), 10, "", "", "AND spider<>''");
          print "</div>";
          
          // Top Pages
          print "<div id='tabs-10' class='ui-tabs-hide'>";
          iriValueTable("urlrequested", __('Top pages', 'statpress'), 5, "", "urlrequested", "AND feed='' and spider=''");
          print "</div>";
          
          
          // Top Days - Unique visitors
          print "<div id='tabs-11' class='ui-tabs-hide'>";
          iriValueTable("date", __('Top Days - Unique visitors', 'statpress'), 5, "distinct", "ip", "AND feed='' and spider=''");
          print "</div>";
          /* Maddler 04112007: required patching iriValueTable */
          
          // Top Days - Pageviews
          print "<div id='tabs-12' class='ui-tabs-hide'>";
          iriValueTable("date", __('Top Days - Pageviews', 'statpress'), 5, "", "urlrequested", "AND feed='' and spider=''");
          print "</div>";
          /* Maddler 04112007: required patching iriValueTable */
          
          // Top IPs - Pageviews
          print "<div id='tabs-13' class='ui-tabs-hide'>";
          iriValueTable("ip", __('Top IPs - Pageviews', 'statpress'), 5, "", "urlrequested", "AND feed='' and spider=''");
          print "</div>";
          /* Maddler 04112007: required patching iriValueTable */
    
		print "</div>"; // #tabs
      }
?>
